#! /usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys
import json
import ConfigParser
import logging
import logging.config

from bottle import run, route, request, response

servicePath = os.path.dirname(os.path.abspath(__file__))

@route('/CSrest/rest/onlineorder/number', method='GET')
def returnOrdersNumber():
    logging.info(u'Получение запроса от кассы')
    conf = ConfigParser.RawConfigParser()
    conf.read(os.path.join(servicePath, 'config.ini'))
    try:
        orders = conf.getint('main', 'orders')
    except:
        orders = 0
    answer = json.dumps({'ordersNumber' : orders})
    logging.info(u'Отправка ответа')
    logging.info(u'Тело ответа:\n' + unicode(str(answer)))
    return answer

def main():
    logging.basicConfig(format = u'[%(asctime)s] %(levelname)s - %(message)s', level = logging.INFO,
            filename = u'/linuxcash/logs/current/onlineorder-server-test.log')
    logging.info(u'Старт сервиса')
    conf = ConfigParser.RawConfigParser()
    conf.read(os.path.join(servicePath, 'conf/config.ini'))
    try:
        host = conf.get('main', 'host')
    except:
        host = '0.0.0.0'
    try:
        port = conf.getint('main', 'port')
    except:
        port = 5000
    try:
        logging.info(u'Стартуем на %s:%s' % (host, port))
        run(host=host, port=port)
    except Exception, e:
        pass
        logging.error(unicode(e))

if __name__ == '__main__':
    main()
